Subject: FVWM: cool!!!

From: [email-masked] (Todd Fries)
Date: Sat, 2 Dec 1995 14:55:18 -0600 (CST)

Ok, I don't ALWAYS run strace on fvwm when I first try it out, and I don't
always HAPPEN to not put the right path for my modules and pixmaps in my
.fvwmrc file.

But then again, I didn't happen to notice that fvwm tries, after not
finding a module, say:

FvwmPager

It looks for 

FvwmPager.gz

or a pixmap, say

mini.fvwm.xpm

it looks for

mini.fvwm.xpm.gz, and then .Z

(e.g.: 
  access("/users/tfries/media/images/xpm//mini.term.xpm", R_OK) = -1 ENOENT (No such file or directory)
  access("/users/tfries/media/images/xpm//mini.term.xpm.gz", R_OK) = 0
  write(3, "\3\2\2\0)\0\0\0\16\0\2\0)\0\0\0", 16) = 16
  read(3, "\1\0C\10\3\0\0\0 \0\0\0\1\0\0\1\377"..., 32) = 32
  read(3, "=\0X\0=\0X\0\0\0\377\277", 12) = 12
  read(3, "\1\10D\10\0\0\0\0)\0\0\0\0\0\0\0"..., 32) = 32
  pipe([6, 7])                            = 0
  fork()                                  = 14629
  close(7)                                = 0
  fstat(6, {st_mode=S_IFIFO|0600, st_size=0, ...}) = 0
  read(6, "/* XPM */\nstatic char *mini[] ="..., 4096) = 4096
)

This is really cool that the pixmaps load from a gzip -9 'ed file.  However,
the modules do not.

(e.g.:
  access("/s1/linux/local/lib/fvwm/FvwmPager", X_OK) = -1 ENOENT (No such file or directory)
  access("/s1/linux/local/lib/fvwm/FvwmPager.gz", X_OK) = 0
  pipe([4, 5])                            = 0
  pipe([6, 7])                            = 0
  fork()                                  = 14640
  close(7)                                = 0
  close(4)                                = 0
  fcntl(5, F_SETFL, O_RDONLY|O_NONBLOCK)  = 0
  fcntl(6, F_SETFD, FD_CLOEXEC)           = 0
  fcntl(5, F_SETFD, FD_CLOEXEC)           = 0
  fork()                                  = 14641
  fork()                                  = 14642
  write(3, "+\0\1\0", 4)                  = 4
  read(3, "\1\0\366\n\0\0\0\0\1\0\0\0\0\0\0"..., 32) = 32
  write(3, "*\2\3\0\0\0\0\0\0\0\0\0+\1\1\0", 16) = 16
  read(3, "\1\2\370\n\0\0\0\0\0\0\0\0\0\0\0"..., 32) = 32
  write(3, "\32\1\6\0)\0\0\0| \1\1)\0\0\0\t\0"..., 24) = 24
  read(3, 0xbfffefb4, 32)                 = -1 EAGAIN (Try again)
  fvwm: Execution of module failed: /s1/linux/local/lib/fvwm/FvwmPager.gz
  Exec format error
  --- SIGCHLD (Child exited) ---
  select(4, [3], NULL, NULL, NULL)        = ? ERESTARTNOHAND (To be restarted)
  --- SIGCHLD (Child exited) ---
  select(4, [3], NULL, NULL, NULL)        = ? ERESTARTNOHAND (To be restarted)
  --- SIGCHLD (Child exited) ---
  select(4, [3], NULL, NULL, NULL)        = 1 (in [3])
)

Ohwell, you can't have everything, can you? <grin>

Another thing that I've noticed, having a BUNCH of 'mini.xlock.xpm' 's 
in my xlock menu is that it loads a separate copy for every icon, even if
they are the exact same filename.  I believe that there could be some
optimization here?

-- 
Todd [email-masked]
http://www.cs.umr.edu/~tfries
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].